// Package event ...
//
// Description : event ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2023-02-02 16:36
package event

import "net/http"

// DefaultPreSendHandler IPreSendHandler 默认实现
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 16:36 2023/2/2
type DefaultPreSendHandler struct {
}

func (d *DefaultPreSendHandler) GetRequestParam() map[string]interface{} {
	return map[string]interface{}{}
}

func (d *DefaultPreSendHandler) GetRequestHeader() http.Header {
	return make(map[string][]string, 0)
}

func (d *DefaultPreSendHandler) GetResponseData() map[string]interface{} {
	return map[string]interface{}{}
}

func (d *DefaultPreSendHandler) GetExtensionData() map[string]interface{} {
	return map[string]interface{}{}
}

func (d *DefaultPreSendHandler) GetEventData() interface{} {
	return map[string]interface{}{}
}

func (d *DefaultPreSendHandler) NeedSend() (map[string]interface{}, bool) {
	return map[string]interface{}{}, true
}
